# Interface ImageLoaderListener

public interface ImageLoaderListener
Classes which implement this interface provide methods that deal with the incremental loading of image data.

After creating an instance of a class that implements this interface it can be added to an image loader using the `addImageLoaderListener` method and removed using the `removeImageLoaderListener` method. When image data is either partially or completely loaded, this method will be invoked.

Since:
  1.3
See Also:
  - `ImageLoader`
  - `ImageLoaderEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`imageDataLoaded(ImageLoaderEvent e)`
Sent when image data is either partially or completely loaded.

## Method Details

### imageDataLoaded

void imageDataLoaded(ImageLoaderEvent e)
Sent when image data is either partially or completely loaded.

The timing of when this method is called varies depending on the format of the image being loaded.

Parameters:
  `e` - an event containing information about the image loading operation